GrailsSwingConsole (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.ui.console
[Groovy] Class GrailsSwingConsole

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess
          org.codehaus.groovy.grails.cli.fork.ForkedGrailsProjectClassExecutor
              grails.ui.console.GrailsSwingConsole

    @groovy.transform.CompileStatic
    class GrailsSwingConsole
    extends ForkedGrailsProjectClassExecutor

Forks a Groovy Swing console UI for the current application

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class ForkedGrailsProcess
DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS

Constructor Summary
`GrailsSwingConsole(BuildSettings buildSettings)`
`protected GrailsSwingConsole()`

Method Summary
`protected java.lang.String` | `getProjectClassType()`
`protected java.net.URLClassLoader` | `initializeClassLoader(BuildSettings buildSettings)`
`static void` | `main(java.lang.String[] args)`
`int` | `runInstance(java.lang.Object instance)`

Methods inherited from class ForkedGrailsProjectClassExecutor
createEventListener, createExecutionContext, createExecutionContext, createInstance, getProjectClassType, initializeProjectInstance, run, runInstance

Methods inherited from class ForkedGrailsProcess
attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startProjectWatcher, storeExecutionContext, waitForResume

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsSwingConsole

    GrailsSwingConsole(BuildSettings buildSettings)

### GrailsSwingConsole

    protected GrailsSwingConsole()

Method Detail

### getProjectClassType

    @java.lang.Override
    protected java.lang.String getProjectClassType()

### initializeClassLoader

    @java.lang.Override
    protected java.net.URLClassLoader initializeClassLoader(BuildSettings buildSettings)

### main

    static void main(java.lang.String[] args)

### runInstance

    @java.lang.Override
    int runInstance(java.lang.Object instance)

Groovy Documentation